using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace ClientService
{
    /// <summary>
    /// This is the home page
    /// </summary>
    public partial class StartPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        /// <summary>
        /// On clicking "Go", this method is invoked, and goes to the respective page for short term or long term
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void goBtn_Click(object sender, EventArgs e)
        {
            if (this.investTypeCombo.SelectedValue.Equals("Short Term"))
            {
                this.Server.Transfer("ShortTermPage.aspx");
            }
            else
            {
                this.Server.Transfer("LongTermPage.aspx");
            }
        }

        /// <summary>
        /// Menu bar displayed on the web pages
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Menu1_MenuItemClick(object sender, MenuEventArgs e)
        {
            if (e.Item.Value.Equals("Home"))
            {
                this.Server.Transfer("StartPage.aspx");
            }
            else if (e.Item.Value.Equals("Research"))
            {
                this.Server.Transfer("ResearchPage.aspx");
            }
            else if (e.Item.Value.Equals("Short Term"))
            {
                this.Server.Transfer("ShortTermPage.aspx");
            }
            else if (e.Item.Value.Equals("Long Term"))
            {
                this.Server.Transfer("LongTermPage.aspx");
            }
            else if (e.Item.Value.Equals("About"))
            {
                this.Server.Transfer("AboutPage.aspx");
            }
            else if (e.Item.Value.Equals("How Do I?"))
            {
                this.Server.Transfer("HowDoIPage.aspx");
            }
        }
    }
}
