using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace CodeService
{
    /// <summary>
    /// This class defines the result of a long term prediction
    /// </summary>
    public class LongTermPrediction
    {        
        private string pattern;
        /// <summary>
        /// This represents the pattern type (like cup and saucer)
        /// </summary>
        public string Pattern
        {
            get { return pattern; }
            set { pattern = value; }
        }

        private string prediction;
        /// <summary>
        /// This represents prediction result (like buy or sell)
        /// </summary>
        public string Prediction
        {
            get { return prediction; }
            set { prediction = value; }
        }
        /// <summary>
        /// This is the default constructor
        /// </summary>
        public LongTermPrediction()
        {
        }
    }
}