using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace CodeService
{   
    /// <summary>
    /// This class defines the result of a short term prediction
    /// </summary>
    public class ShortTermPrediction
    {
        private double predictedPrice;
        /// <summary>
        /// This represents the predicted price
        /// </summary>
        public double PredictedPrice
        {
            get { return predictedPrice; }
            set { predictedPrice = value; }
        }
        private double valueAtRisk;
        /// <summary>
        /// This represents the value at risk
        /// </summary>
        public double ValueAtRisk
        {
            get { return valueAtRisk; }
            set { valueAtRisk = value; }
        }
        private string prediction;
        /// <summary>
        /// This represents the prediction result (like buy , sell or hold)
        /// </summary>
        public string Prediction
        {
            get { return prediction; }
            set { prediction = value; }
        }
        /// <summary>
        /// This is the default constructor
        /// </summary>
        public ShortTermPrediction()
        {
        }
    }
}
