using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace CodeService
{
    /// <summary>
    /// This class represents the stock history
    /// </summary>
    public class TickerHistory
    {
        private DateTime dt;
        /// <summary>
        /// This represents the date
        /// </summary>
        public DateTime Dt
        {
            get { return dt; }
            set { dt = value; }
        }
        private decimal open;
        /// <summary>
        /// This represents "Open" value
        /// </summary>
        public decimal Open
        {
            get { return open; }
            set { open = value; }
        }
        private decimal high;
        /// <summary>
        /// This represenets High value
        /// </summary>
        public decimal High
        {
            get { return high; }
            set { high = value; }
        }
        private decimal low;
        /// <summary>
        /// This represents Low value
        /// </summary>
        public decimal Low
        {
            get { return low; }
            set { low = value; }
        }
        private decimal close;
        /// <summary>
        /// This represents the "Close" value
        /// </summary>
        public decimal Close
        {
            get { return close; }
            set { close = value; }
        }
        private decimal price;
        /// <summary>
        /// This represents the price on that date
        /// </summary>
        public decimal Price
        {
            get { return price; }
            set { price = value; }
        }
        private long volume;
        /// <summary>
        /// This represents the corresponding volume
        /// </summary>
        public long Volume
        {
            get { return volume; }
            set { volume = value; }
        }
        /// <summary>
        /// This is the default constructor
        /// </summary>
        public TickerHistory()
        { 
        }
    }
}
